%global debug_package   %{nil}
%define import_path     github.com/coreos/go-systemd
%define gopath          %{_libdir}/golang
%define gosrc			%{gopath}/src/pkg/%{import_path}

Name:           golang-go-systemd
Version:        2
Release:        %mkrel 8
Summary:        Go bindings to systemd socket activation, journal and D-BUS APIs
License:        ASL 2.0
URL:            http://%{import_path}
Source0:        https://%{import_path}/archive/v%{version}.tar.gz
Group:			Development/Other
Requires:       golang
Provides:       golang(%{import_path}) = %{version}-%{release}
Provides:       golang(%{import_path}/activation) = %{version}-%{release}
Provides:       golang(%{import_path}/dbus) = %{version}-%{release}
Provides:       golang(%{import_path}/journal) = %{version}-%{release}


%description
%{summary}

This package contains library source intended for building other packages
which use coreos/go-systemd.

%prep
%setup -n go-systemd-%{version}

%build

%install
install -d -p %{buildroot}/%{gosrc}/{activation,dbus,journal}
cp -av {activation,dbus,journal} %{buildroot}/%{gosrc}

%files
%doc LICENSE README.md
%dir %attr(755,root,root) %{gosrc}
%dir %attr(755,root,root) %{gosrc}/activation
%dir %attr(755,root,root) %{gosrc}/dbus
%dir %attr(755,root,root) %{gosrc}/journal
%{gosrc}/activation/*.go
%{gosrc}/dbus/*.go
%{gosrc}/journal/*.go


%changelog
* Thu Feb 13 2020 umeabot <umeabot> 2-8.mga8
+ Revision: 1512681
- Mageia 8 Mass Rebuild

* Sun Sep 23 2018 umeabot <umeabot> 2-7.mga7
+ Revision: 1298017
- Mageia 7 Mass Rebuild

* Tue Feb 02 2016 umeabot <umeabot> 2-6.mga6
+ Revision: 932791
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 2-5.mga5
+ Revision: 741128
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2-4.mga5
+ Revision: 679855
- Mageia 5 Mass Rebuild

* Wed Jul 02 2014 bcornec <bcornec> 2-3.mga5
+ Revision: 642212
- golang-go-systemd shouldn't be a noarch pkg

* Mon Jun 30 2014 bcornec <bcornec> 2-2.mga5
+ Revision: 641537
- Another path fix for golang FHS
- Another path fix for golang FHS
- Fix integration with go language FHS
- Upload golang-go-systemd from Fedora for docker
- Created package structure for golang-go-systemd.

